### Method

# Gtk MenuButtonset_child

since: 4.6

#### Declaration [src]

    void
    gtk_menu_button_set_child (
      GtkMenuButton* menu_button,
      GtkWidget* child
    )

#### Description [src]

Sets the child widget of `menu_button`.

Setting a child resets `GtkMenuButton:label` and `GtkMenuButton:icon-name`.

If `GtkMenuButton:always-show-arrow` is set to `TRUE` and `GtkMenuButton:direction` is not `GTK_ARROW_NONE`, a dropdown arrow will be shown next to the child.

Available since: 4.6

Sets property | `Gtk.MenuButton:child`

#### Parameters

`child`

  Type: `GtkWidget`

  The child widget.

  The argument can be `NULL`.
  The data is owned by the caller of the method.